import { OnInit } from '@angular/core';
import { SmzEasyTableState } from '../../../models/smz-easy-table-state';
import { TableDataSourceService } from '../../../services/table-data-source.service';
import * as i0 from "@angular/core";
export declare class PaginationComponent implements OnInit {
    state: SmzEasyTableState;
    dataSource: TableDataSourceService;
    constructor();
    ngOnInit(): void;
    next(): void;
    previous(): void;
    goTo(page: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginationComponent, "et-pagination", never, { "state": { "alias": "state"; "required": false; }; "dataSource": { "alias": "dataSource"; "required": false; }; }, {}, never, never, false, never>;
}
